API ReferenceapicommunityPATCH /v1/communities/{slug}

PATCH /v1/communities/\{slug\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Request body

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 255
    },
    "description": {
      "type": "string"
    },
    "cover_image_url": {
      "type": [
        "string",
        "null"
      ],
      "format": "uri"
    }
  }
}

Responses

200 Community updated

{
  "type": "object",
  "properties": {
    "slug": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "cover_image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "owner_user_id": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "slug",
    "name",
    "description",
    "cover_image_url",
    "owner_user_id",
    "created_at"
  ]
}

403 Not the owner

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Community not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PATCH https://community.platform.loop.health/v1/communities/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'